Loading...
Searching...
No Matches
mongocxx::options::estimated_document_count Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/estimated_document_count.hpp>`

## Description

Used by mongocxx::v_noabi::collection::estimated_document_count.

## Public Member Functions

| estimated_document_count ()=default
| Default initialization.
| estimated_document_count (v1::estimated_document_count_options opts)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const & | comment () const
| The current comment for this operation.
estimated_document_count & | comment (bsoncxx::v_noabi::types::bson_value::view_or_value comment)
| Sets the comment for this operation.
bsoncxx::v_noabi::stdx::optional< std::chrono::milliseconds > const & | max_time () const
| The current max_time setting.
estimated_document_count & | max_time (std::chrono::milliseconds max_time)
| Sets the maximum amount of time for this operation to run (server-side) in milliseconds.
| operator v1::estimated_document_count_options () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< v_noabi::read_preference > const & | read_preference () const
| The current read_preference for this operation.
estimated_document_count & | read_preference (v_noabi::read_preference rp)
| Sets the read_preference for this operation.

## Constructor & Destructor Documentation

## estimated_document_count() [1/2]

mongocxx::v_noabi::options::estimated_document_count::estimated_document_count | ( |  | ) |

default

Default initialization.

## estimated_document_count() [2/2]

mongocxx::v_noabi::options::estimated_document_count::estimated_document_count | ( | v1::estimated_document_count_options | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## comment() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const & mongocxx::v_noabi::options::estimated_document_count::comment | ( |  | ) | const

inline

The current comment for this operation.

Returns
  The current comment

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

## comment() [2/2]

estimated_document_count & mongocxx::v_noabi::options::estimated_document_count::comment | ( | bsoncxx::v_noabi::types::bson_value::view_or_value | comment | ) |

inline

Sets the comment for this operation.

Parameters

  comment | The new comment.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

## max_time() [1/2]

bsoncxx::v_noabi::stdx::optional< std::chrono::milliseconds > const & mongocxx::v_noabi::options::estimated_document_count::max_time | ( |  | ) | const

inline

The current max_time setting.

Returns
  The current max time (in milliseconds).

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

## max_time() [2/2]

estimated_document_count & mongocxx::v_noabi::options::estimated_document_count::max_time | ( | std::chrono::milliseconds | max_time | ) |

inline

Sets the maximum amount of time for this operation to run (server-side) in milliseconds.

Parameters

  max_time | The max amount of time (in milliseconds).

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

## operator v1::estimated_document_count_options()

mongocxx::v_noabi::options::estimated_document_count::operator v1::estimated_document_count_options | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## read_preference() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::read_preference > const & mongocxx::v_noabi::options::estimated_document_count::read_preference | ( |  | ) | const

inline

The current read_preference for this operation.

Returns
  the current read_preference

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

## read_preference() [2/2]

estimated_document_count & mongocxx::v_noabi::options::estimated_document_count::read_preference | ( | v_noabi::read_preference | rp | ) |

inline

Sets the read_preference for this operation.

Parameters

  rp | The new read_preference.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/command/count/

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/estimated_document_count.hpp